Update a view
curl --request PUT \
--url https://connie.ai/api/inbox-views/{viewId} \
--header 'Content-Type: application/json' \
--header 'Cookie: <api-key>' \
--data '
{
"name": "<string>",
"icon": "<string>",
"color": "<string>",
"filters": {
"unread": true,
"platforms": [
"<string>"
],
"accountIds": [
"<string>"
],
"tags": [
"<string>"
],
"assignedTo": "<string>",
"dateRange": {
"from": "<string>",
"to": "<string>"
},
"searchQuery": "<string>",
"rules": "<unknown>"
},
"sortOrder": 123
}
'import requests
url = "https://connie.ai/api/inbox-views/{viewId}"
payload = {
"name": "<string>",
"icon": "<string>",
"color": "<string>",
"filters": {
"unread": True,
"platforms": ["<string>"],
"accountIds": ["<string>"],
"tags": ["<string>"],
"assignedTo": "<string>",
"dateRange": {
"from": "<string>",
"to": "<string>"
},
"searchQuery": "<string>",
"rules": "<unknown>"
},
"sortOrder": 123
}
headers = {
"Cookie": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Cookie: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
icon: '<string>',
color: '<string>',
filters: {
unread: true,
platforms: ['<string>'],
accountIds: ['<string>'],
tags: ['<string>'],
assignedTo: '<string>',
dateRange: {from: '<string>', to: '<string>'},
searchQuery: '<string>',
rules: '<unknown>'
},
sortOrder: 123
})
};
fetch('https://connie.ai/api/inbox-views/{viewId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"view": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"icon": "<string>",
"color": "<string>",
"filters": {
"unread": true,
"platforms": [
"<string>"
],
"accountIds": [
"<string>"
],
"tags": [
"<string>"
],
"assignedTo": "<string>",
"dateRange": {
"from": "<string>",
"to": "<string>"
},
"searchQuery": "<string>",
"rules": "<unknown>",
"groupLogic": "AND"
},
"sort_order": 123,
"is_system": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Views
Update a view
Updates a view you created. Built-in views can’t be changed.
PUT
/
inbox-views
/
{viewId}
Update a view
Authorizations
The full Cookie header copied from a signed-in connie.ai browser request. See the Authentication page.
Path Parameters
Body
application/json
Response
View updated.
Show child attributes
Show child attributes